Skip to content

deps: bump @block65/webcrypto-web-push from 1.0.2 to 2.0.0 - #3

Open
dependabot[bot] wants to merge 1 commit into
mainfrom
dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0
Open

dependabot[bot] wants to merge 1 commit into
mainfrom
dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0

Conversation

@dependabot

@dependabot dependabot Bot commented on behalf of github Sep 27, 2026 •

Copy link
Copy Markdown

Bumps @block65/webcrypto-web-push from 1.0.2 to 2.0.0.

Release notes

Sourced from @​block65/webcrypto-web-push's releases.

v2.0.0

What's Changed

Messages are now encrypted with aes128gcm (RFC 8291) and authenticated with the vapid scheme (RFC 8292), replacing the draft aesgcm encoding and the WebPush scheme. Apple accepts neither of the old ones, so Safari and iOS work now.

Verified against the RFC 8291 section 5 test vector, and by decrypting in Chrome and Firefox against their real push services.

Breaking

  • encryptNotification returns the RFC 8188 body instead of { ciphertext, salt, localPublicKeyBytes }, and takes an options argument
  • the crypto-key and encryption headers are gone
  • messages are padded to a constant 4096 octets, so the maximum payload is 3993 bytes
  • subscription endpoints must be https, p256dh must be a 65 byte uncompressed P-256 point and auth 16 octets
  • node 22 or later

buildPushPayload is otherwise unchanged, so fetch(subscription.endpoint, payload) still works as documented. Stay on 1.x if you need the aesgcm encoding.

type-fest is no longer a dependency, leaving uint8array-extras as the only one.

Full Changelog: block65/webcrypto-web-push@v1.0.2...v2.0.0

Commits
  • 6ced541 ci: skip the git branch check when staging
  • c2763b4 ci: stage the publish rather than publishing directly
  • 5cf4fca ci: publish with provenance over oidc
  • e60d223 Merge pull request #19 from block65/v2
  • 6b9cb09 docs: install with pnpm or npm, and name the package up front
  • 541b742 ci: limit the github token to reading contents
  • 565c7d2 fix(test): pin the mocked clock to UTC
  • c53c021 test(e2e): fail on console errors, warnings and uncaught errors
  • 1a2b75b refactor(e2e): use the playwright test runner
  • 2adc032 chore(deps): share common versions through a pnpm catalog
  • Additional commits viewable in compare view
Maintainer changes

This version was pushed to npm by GitHub Actions, a new releaser for @​block65/webcrypto-web-push since your current version.


@dependabot @github

dependabot Bot commented on behalf of github Sep 27, 2026

Copy link
Copy Markdown
Author

Labels

The following labels could not be found: dependencies. Please create it before Dependabot can add it to a pull request.

Please fix the above issues or remove invalid values from dependabot.yml.

@vercel

vercel Bot commented Sep 27, 2026 •

Copy link
Copy Markdown
Contributor

The latest updates on your projects. Learn more about Vercel for GitHub.

Project Deployment Actions Updated
base31 Ready Ready Preview Oct 7, 2026 5:21pm UTC

@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from b6b4bfc to 0388aaa Compare October 1, 2026 01:14
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 0388aaa to 6a0fcc7 Compare October 1, 2026 01:34
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 6a0fcc7 to 9aba7ff Compare October 1, 2026 01:43
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 9aba7ff to 31ef2ce Compare October 1, 2026 13:05
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 31ef2ce to 0fa2857 Compare October 1, 2026 19:55
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 0fa2857 to 020f7f6 Compare October 2, 2026 21:42
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 020f7f6 to ead5deb Compare October 2, 2026 21:53
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from ead5deb to 81ca390 Compare October 3, 2026 16:26
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 81ca390 to a14cea5 Compare October 3, 2026 22:11
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from a14cea5 to df8830e Compare October 3, 2026 22:24
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from df8830e to 4004570 Compare October 3, 2026 22:43
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 4004570 to f8bcfb9 Compare October 4, 2026 00:30
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from f8bcfb9 to 5527bff Compare October 6, 2026 01:15
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 5527bff to 991f420 Compare October 6, 2026 01:35
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 991f420 to 77cf417 Compare October 6, 2026 01:48
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 77cf417 to 0c30dff Compare October 6, 2026 02:07
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 0c30dff to 83c2224 Compare October 6, 2026 12:55
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 83c2224 to 646e643 Compare October 6, 2026 14:03
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 646e643 to 999a20d Compare October 6, 2026 15:39
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 999a20d to 03fab0a Compare October 6, 2026 17:26
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 03fab0a to 418c217 Compare October 6, 2026 17:53
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 418c217 to 7109791 Compare October 7, 2026 01:56
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 7109791 to 9a8a9b3 Compare October 7, 2026 02:25
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from 9a8a9b3 to f913447 Compare October 7, 2026 13:11
Bumps [@block65/webcrypto-web-push](https://github.com/block65/webcrypto-web-push) from 1.0.2 to 2.0.0.
- [Release notes](https://github.com/block65/webcrypto-web-push/releases)
- [Commits](block65/webcrypto-web-push@v1.0.2...v2.0.0)

---
updated-dependencies:
- dependency-name: "@block65/webcrypto-web-push"
  dependency-version: 2.0.0
  dependency-type: direct:production
  update-type: version-update:semver-major
...

Signed-off-by: dependabot[bot] <support@github.com>
@dependabot
dependabot Bot force-pushed the dependabot/npm_and_yarn/block65/webcrypto-web-push-2.0.0 branch from f913447 to 9a5aae4 Compare October 7, 2026 17:20

This branch was successfully deployed

1 active deployment
Preview — 9a5aae4e Deployed Oct 7, 2026 by vercel[bot]
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

0 participants